package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;


/**
 * <p>
 * 供应商企业联系人信息
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
@TableName("c_supplier_contact")
public class SupplierContact extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 企业联系人姓名
     */
    @TableField("contact_name")
    private String contactName;

    /**
     * 企业联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 电子邮箱
     */
    @TableField("email")
    private String email;

    /**
     * 供应商企业信息表id
     */
    @TableField("supplier_info_id")
    private Long supplierInfoId;


    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }
    public Long getSupplierInfoId() {
        return supplierInfoId;
    }

    public void setSupplierInfoId(Long supplierInfoId) {
        this.supplierInfoId = supplierInfoId;
    }

    @Override
    public String toString() {
        return "CSupplierContact{" +
            "contactName=" + contactName +
            ", mobile=" + mobile +
            ", email=" + email +
            ", supplierInfoId=" + supplierInfoId +
        "}";
    }
}
